#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include "include/libsdtapi.h"
#include "include/libhidvoice.h"

QT_BEGIN_NAMESPACE
namespace Ui { class Dialog; }
QT_END_NAMESPACE

class Dialog : public QDialog
{
    Q_OBJECT

public:
    Dialog(QWidget *parent = NULL);
    ~Dialog();

    char* reverse( char *s, int left, int right );
    QString decodeGAT(unsigned char* wzText);
    QString decodeCN(unsigned char* wzText);
    QString decodePRP(unsigned char* wzText);
private slots:
    void on_bnEnum_clicked();

    void on_bnOpen_clicked();

    void on_bnGetSAMID_clicked();

    void on_bnStatus_clicked();

    void on_bnReset_clicked();

    void on_bnReadCard_clicked();

    void on_bnClose_clicked();

    void on_bnIDSnr_clicked();

    void on_bnICSnr_clicked();

    void on_bnPlayVoice_clicked();

private:
    Ui::Dialog *ui;
    TXUSBDevice m_deviceList[16];
    int m_deviceCount = 0;
    void* m_hDevice = NULL;
    bool m_isSerialConnect;
};
#endif // DIALOG_H
